#include <cstdio>
#include <iostream>
#include <math.h>
using namespace std;
int main(){
	freopen("Weighing.in","r",stdin);
	long n,j=0; long t;
	cin >>t;
	for (int i=0; i<t; i++){
		cin>>n;
		while (n-1) {n=floor((double)n/2);j++;}
		cout<<j<<"\n"; j=0;
	}

return 0;
}